CMCEParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.cmce

## Class CMCEParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.cmce.CMCEParameters

- All Implemented Interfaces:
    CipherParameters, KEMParameters

  Deprecated.
  the standardised Classic McEliece KEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see org.bouncycastle.crypto.params.CMCEParameters and org.bouncycastle.jcajce.spec.CMCEParameterSpec). This is the legacy NIST round 3 (non-pc, incl. mceliece348864) implementation, retained for backwards compatibility.

      @Deprecated
      public class CMCEParameters
      extends java.lang.Object
      implements KEMParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CMCEParameters` | `mceliece348864fr3` Deprecated.
    `static CMCEParameters` | `mceliece348864r3` Deprecated.
    `static CMCEParameters` | `mceliece460896fr3` Deprecated.
    `static CMCEParameters` | `mceliece460896r3` Deprecated.
    `static CMCEParameters` | `mceliece6688128fr3` Deprecated.
    `static CMCEParameters` | `mceliece6688128r3` Deprecated.
    `static CMCEParameters` | `mceliece6960119fr3` Deprecated.
    `static CMCEParameters` | `mceliece6960119r3` Deprecated.
    `static CMCEParameters` | `mceliece8192128fr3` Deprecated.
    `static CMCEParameters` | `mceliece8192128r3` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getM()` Deprecated.
    `int` | `getMu()` Deprecated.
    `int` | `getN()` Deprecated.
    `java.lang.String` | `getName()` Deprecated.
    `int` | `getNu()` Deprecated.
    `int` | `getSessionKeySize()` Deprecated.
    `int` | `getT()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mceliece348864r3

          public static final CMCEParameters mceliece348864r3

      Deprecated.

    - #### mceliece348864fr3

          public static final CMCEParameters mceliece348864fr3

      Deprecated.

    - #### mceliece460896r3

          public static final CMCEParameters mceliece460896r3

      Deprecated.

    - #### mceliece460896fr3

          public static final CMCEParameters mceliece460896fr3

      Deprecated.

    - #### mceliece6688128r3

          public static final CMCEParameters mceliece6688128r3

      Deprecated.

    - #### mceliece6688128fr3

          public static final CMCEParameters mceliece6688128fr3

      Deprecated.

    - #### mceliece6960119r3

          public static final CMCEParameters mceliece6960119r3

      Deprecated.

    - #### mceliece6960119fr3

          public static final CMCEParameters mceliece6960119fr3

      Deprecated.

    - #### mceliece8192128r3

          public static final CMCEParameters mceliece8192128r3

      Deprecated.

    - #### mceliece8192128fr3

          public static final CMCEParameters mceliece8192128fr3

      Deprecated.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Deprecated.

    - #### getM

          public int getM()

      Deprecated.

    - #### getN

          public int getN()

      Deprecated.

    - #### getT

          public int getT()

      Deprecated.

    - #### getMu

          public int getMu()

      Deprecated.

    - #### getNu

          public int getNu()

      Deprecated.

    - #### getSessionKeySize

          public int getSessionKeySize()

      Deprecated.